#include "common.h"

menu 				*menu_c;
tileset			*tileset_c;
map 			 	*map_c;
train				*train_c;

vector<track> *tracklist;

BITMAP 				*buffer;

// Camera:

int 					*camera_x;
int 					*camera_y;

int						*pos_x;
int 					*pos_y;

// Mouse stuff:

BITMAP *arrow;
BITMAP *arrow_flip;
BITMAP *arrow_place;	


// States:

bool					game_running;
bool 					game_pause;
bool					game_won;

bool					menu_show;

bool 					level_over;

bool					level_won;
bool					level_lost;

bool					level_help;

bool					level_new;

char					level_basename[32];
int						level_current;


void grey(BITMAP *bm)
{
 for(int x = 0; x < bm->w; x++)
	for(int y = 0; y < bm->h; y++)
	{
		int color = _getpixel16(bm, x, y);

		int r = getr16(color);
		int g = getg16(color);
		int b = getb16(color);

		
		int c = (r + g + b) / 3;

		if(b > 100)
			_putpixel16(bm, x, y, makecol16(c, c, c - 100));
		else
			_putpixel16(bm, x, y, makecol16(c, c, c));
	}
}




void states()
{
	TRACE("STATES: ");
	if(level_over)TRACE(" LVL OVER ");
	if(level_won)TRACE(" LVL WON ");
	if(level_lost)TRACE(" LVL LOST ");
	if(level_new)TRACE(" LVL NEW ");
	if(game_pause)TRACE(" GAME PAUSE ");
	if(game_running)TRACE(" GAME RUNNING ");
	TRACE("\n");

}
