#ifndef __MENU_H__
#define __MENU_H__

#include "allegro.h"

class menu
{
	private: 

		BITMAP *background;

		BITMAP *menu_newgame;
		BITMAP *menu_resumegame;
		BITMAP *menu_exit;

		BITMAP *pointer;

		BITMAP *level_won_gfx;
		BITMAP *level_lost_gfx;
		BITMAP *game_won_gfx;

		int selection;

		void render_game_won();
		void render_game_lost();

		void render_level_won();
		void render_level_lost();

		void update_game_won();

		void update_level_won();
		void update_level_lost();

	public:

		menu();
		virtual ~menu();


		virtual void update();
		virtual void render();





};

#endif
