#ifndef __TRACK_H__
#define __TRACK_H__

class track
{
 private:

 static const int DIR_NONE  = 0;
 static const int DIR_UP    = 1;
 static const int DIR_RIGHT = 2;
 static const int DIR_DOWN  = 3;
 static const int DIR_LEFT  = 4;

 bool _up;
 bool _right;
 bool _down;
 bool _left;

 bool _switchable;

 int  _switchto;

 public:

 track(int n_up, int n_right, int n_down, int n_left, int n_switchto);

 bool up()    { return _up; }
 bool right() { return _right; }
 bool down()  { return _down; }
 bool left()  { return _left; }

 bool dir(int direction);

 bool switchable() { return _switchable; }
 int  switchto() { return _switchto; }

};


#endif
