#include "common.h"

float xacc(double r)
{
	float xacc;
	while(r > 256)r -= 256;
		
	if(r >= 0 && r < 64)
		xacc = sin(r * ALDEG_TO_DEG * DEG_TO_RAD);
	
	else if(r >= 64 && r < 128)
		xacc = cos((r - 64) * ALDEG_TO_DEG * DEG_TO_RAD);
	
	else if(r >= 128 && r < 192)
		xacc = -sin((r - 128) * ALDEG_TO_DEG * DEG_TO_RAD);
	
	else
		xacc = -cos((r - 192) * ALDEG_TO_DEG * DEG_TO_RAD);
		
	return xacc;
}
  
float yacc(double r)
{
	float yacc;
	while(r > 256)r -= 256;
		
	if(r >= 0 && r < 64)		
		yacc = -cos(r * ALDEG_TO_DEG * DEG_TO_RAD);
	
	else if(r >= 64 && r < 128)
		yacc = sin((r - 64) * ALDEG_TO_DEG * DEG_TO_RAD);
	
	else if(r >= 128 && r < 192)
		yacc = cos((r - 128) * ALDEG_TO_DEG * DEG_TO_RAD);
	
	else
		yacc = -sin((r - 192) * ALDEG_TO_DEG * DEG_TO_RAD);

	return yacc;
}
